Subject: RE: [Mip6] confusing statement in draft-24?

From: Soliman Hesham <[email-masked]>
Date: Mon, 10 Nov 2003 19:25:31 -0500

> This was added to prohibit a sloppy implementation of MIPv6 MN that
 > keeps around old prefix information (as well as perhaps 
 > Neighbor Cache
 > and Redirect routing entries for the old link) in its 
 > routing tree even
 > after movement to a new link/subnet. When the MN moves from the old
 > link, all of the prefix information, etc. that was 
 > discovered on the old
 > link must be invalidated since the MN is no longer attached to that
 > link.

=> Yes of course, but that wording means something else.

 > 
 > How about reword to:
 > 
 > "The mobile node MUST ensure that its primary care-of 
 > address always has
 > a prefix that is advertised by its current default router in 
 > a solicited
 > Router Advertisement."

=> Sure, ("solicited RA" can be removed too)

Hesham

 > 
 > Thanks.
 > - Ed
 > 
 > > -----Original Message-----
 > > From: [email-masked] [mailto:[email-masked]] On 
 > > Behalf Of Soliman Hesham
 > > Sent: Sunday, November 09, 2003 11:26 PM
 > > To: [email-masked]
 > > Cc: 'Thomas Narten'
 > > Subject: [Mip6] confusing statement in draft-24?
 > > 
 > > 
 > > Hi, 
 > > 
 > > I don't know if it's too late...
 > > 
 > > Just bumped into this statement in section 11.5.3:
 > > 
 > >    The
 > >    mobile node MUST ensure that its primary care-of address 
 > > always has a
 > >    prefix that is considered on-link by its current default router,
 > >    i.e., advertised by its current default router in a 
 > > solicited Router
 > >    Advertisement
 > > 
 > > I don't understand why we need this restriction. The 
 > > interpretation of the above would mean that the L flag in the 
 > > prefix option must be set. There is no reason for this IMO. 
 > > 
 > > I think the intention was to say that the prefix is included
 > > in the RA, period. But the text above is misleading because
 > > of its use of the term 'on-link'. 
 > > 
 > > Another comment:
 > > 
 > > I thought we'd agreed that RFC 3041 will be used to generate 
 > > CoAs to avoid the problem with disabling the interface when 
 > > DAD fails. But the text in 11.5.2 only refers to 
 > > 2462, did I miss a discussion where this was changed ?
 > > 
 > > Hesham
 > > 
 > > _______________________________________________
 > > Mip6 mailing list
 > > [email-masked]
 > > https://www.ietf.org/mailman/listinfo/mip6
 > > 
 > > ---
 > > Incoming mail is certified Virus Free.
 > > Checked by AVG anti-virus system (http://www.grisoft.com).
 > > Version: 6.0.522 / Virus Database: 320 - Release Date: 9/29/2003
 > >  
 > > 
 > 
 > ---
 > Outgoing mail is certified Virus Free.
 > Checked by AVG anti-virus system (http://www.grisoft.com).
 > Version: 6.0.522 / Virus Database: 320 - Release Date: 9/29/2003
 >  
 > 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip6

---

From: "Ed Remmell" <[email-masked]>
Date: Mon, 10 Nov 2003 16:39:45 -0800

> => Sure, ("solicited RA" can be removed too)

So, reword to:

"The mobile node MUST ensure that its primary care-of address always has
a prefix that is advertised by its current default router."

I'm OK with that change, it is clearer. Are we still making changes to
this draft?

A solicited RA should have the full set of prefix information known to
the router for that link. Unsolicited RAs do not have to contain
complete information, in fact if they are RA "beacons" that are sent
very frequently to help MNs detect movement they very likely will not
contain much information besides just a 'R' bit Prefix Information
Option with a global scope router address.

Thanks.
- Ed

---